// Query.h: interface for the CQuery class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QUERY_H__560DC89F_6B5D_4BDE_B476_243D04929253__INCLUDED_)
#define AFX_QUERY_H__560DC89F_6B5D_4BDE_B476_243D04929253__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ruleparser.h"

class CFact;

typedef vector<CFact> TFactVector; 
typedef vector<CFact>::iterator TFactVectorIterator; 

class CFact
{
public:
	CFact() {};
	~CFact() {};

	string name;
	string value;
};

class CQuery  
{
public:
	virtual string getValue( string sVarName );
	CQuery();
	virtual ~CQuery();

private:
	TFactVector m_facts;
};

#endif // !defined(AFX_QUERY_H__560DC89F_6B5D_4BDE_B476_243D04929253__INCLUDED_)
