#if !defined __RULEPARSER_H
#define __RULEPARSER_H

#define DEBUG

#pragma warning (disable:4786)

#include <string>
#include <vector>
#include <comdef.h>
#include <iostream>

#import "msxml3.dll"

using namespace MSXML2;
using namespace std;

//
// Forward deklaracia tried
//
class IXMLNode;
class CRule;
class CRuleEngine;
class CCondition;
class CQuery;
class CAction;
class CRuleParameter;

//
// Deklaracia typov pre vectory a iteratory
//
typedef vector<CRule> TRuleVector;
typedef vector<CRule>::iterator TRuleVectorIterator;

typedef vector<CCondition> TConditionVector;
typedef vector<CCondition>::iterator TConditionVectorIterator;

typedef	vector<CAction> TActionVector;
typedef	vector<CAction>::iterator TActionVectorIterator;

typedef vector<CRuleParameter> TRuleParameterVector;
typedef vector<CRuleParameter>::iterator TRuleParameterVectorIterator;

//
// Vsetky includy
//
#include "IXMLNode.h"
#include "Condition.h"
#include "Rule.h"
#include "RuleEngine.h"
#include "Query.h"
#include "Action.h"
#include "RuleParameter.h"

#endif //__RULEPARSER_H